VLC Media Player Fails with: vlc cannot instantiate dialogs provider

I recently installed Slackware64 current on my home workstation. After installing VLC Media Player from Alien Bob’s restricted Slackbuilds,, I discovered that VLC would not start.

After poking around, I found that VLC was giving the error: cannot instantiate dialogs provider.

Some searching around, revealed the answer on linuxquestions.org and in the file http://slackware.uk/people/alien/restricted_slackbuilds/vlc/pkg64/current/vlc-3.0.3-x86_64-1alien.dep

That answer is; VLC depends on the packages libxkbcommon, qt5 and qt5-webkit. (All available on http://slackware.uk and at http://www.slackware.com/~alien/slackbuilds/.

Once I installed those three dependencies, VLC Media Player runs.

Woohoo! (And thanks, once again, to LinuxQuestions.org!)

Happy Slacking!
Stu…

Leave a Comment